Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598156 - SELinux is preventing /sbin/netplugd "module_request" access.
Summary: SELinux is preventing /sbin/netplugd "module_request" access.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:e065e33530d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-31 15:31 UTC by hendi
Modified: 2010-06-01 12:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-01 12:13:43 UTC


Attachments (Terms of Use)

Description hendi 2010-05-31 15:31:38 UTC
Summary:

SELinux is preventing /sbin/netplugd "module_request" access.

Detailed Description:

SELinux denied access requested by netplugd. It is not expected that this access
is required by netplugd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:hotplug_t:s0
Target Context                system_u:system_r:kernel_t:s0
Target Objects                None [ system ]
Source                        netplugd
Source Path                   /sbin/netplugd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           net-tools-1.60-95.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.32.12-115.fc12.i686.PAE #1 SMP Fri Apr 30
                              20:14:08 UTC 2010 i686 i686
Alert Count                   3
First Seen                    Jum 02 Jul 2010 08:30:11  WIT
Last Seen                     Jum 02 Jul 2010 08:30:11  WIT
Local ID                      75c24be3-d398-4dc3-8fad-7b95e176174c
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1278077411.459:43875): avc:  denied  { module_request } for  pid=1127 comm="netplugd" scontext=system_u:system_r:hotplug_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=system

node=(removed) type=SYSCALL msg=audit(1278077411.459:43875): arch=40000003 syscall=54 success=no exit=-19 a0=6 a1=8913 a2=bff745ac a3=9af1074 items=0 ppid=1 pid=1127 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="netplugd" exe="/sbin/netplugd" subj=system_u:system_r:hotplug_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,netplugd,hotplug_t,kernel_t,system,module_request
audit2allow suggests:

#============= hotplug_t ==============
allow hotplug_t kernel_t:system module_request;

Comment 1 Miroslav Grepl 2010-06-01 12:13:43 UTC
yum -y update


Note You need to log in before you can comment on or make changes to this bug.